<h1>User Profile</h1>

<p>Username: {{.user.Username}}</p>
<p>Nickname: {{.user.Nickname}}</p>


<form action="/update" method="POST">
    <input type="text" name="nickname" value="{{.Nickname}}"></input>
    <input type="submit" value="update">
</form>


<img src={{.user.Picture}}>

<form action="/upload" enctype="multipart/form-data" method="POST">
    <label for="img">Select image:</label>
    <input type="file" id="img" name="img" value="choose image" accept="image/*">
    <br>
    <input type="submit">
</form>
<!--<form action="/update" method="POST">-->
<!--    <input type="text" name="nickname" value="{{.Nickname}}"></input>-->
<!--    <input type="submit" value="update">-->
<!--</form>-->
<!--<img src="{{.Picture}}" alt="User Picture">-->
<!--<form action="/upload" enctype="multipart/form-data" method="POST">-->
<!--    <label for="img">Select image:</label>-->
<!--    <input type="file" id="img" name="img" value="choose image" accept="image/*">-->
<!--    <br>-->
<!--    <input type="submit">-->
<!--</form>-->

